API Reference
=============

Complete API reference for Confii.

Core Classes
------------

.. toctree::
   :maxdepth: 2

   config
   config_builder

Loaders
-------

.. toctree::
   :maxdepth: 2

   loaders

Secret Stores
-------------

.. toctree::
   :maxdepth: 2

   secret_stores

Validators
----------

.. toctree::
   :maxdepth: 2

   validators

Advanced Features
-----------------

.. toctree::
   :maxdepth: 2

   async_config
   config_diff
   config_versioning
   observability
   merge_strategies

Utilities
---------

.. toctree::
   :maxdepth: 2

   introspection

CLI
---

.. toctree::
   :maxdepth: 2

   cli

Exceptions
----------

.. toctree::
   :maxdepth: 2

   exceptions
